# Daten und Kennzahlen von Unternehmen


## Basisdaten der Firma
* Name
* Sitz 
* Rechtsform bzw. Art der Kapitalgesellschaft (AG, KGaA, GmbH, UG)
* Branche
* Gründungsdatum


## Personen 
* Gesellschafter/innen (Verteilung der Anteile, Höhe der Anteile)
* Geschäftsführung bzw. Vorstand (Vorsitzende/r, Stellvertretung, weitere)
* Aufsichtsrat (Vorsitzende/r, Stellvertretung, weitere)
* Wirtschaftsprüfung (Unternehmen, verantwortliche/r Wirtschaftsprüfer/in)

Im Fall von realen Personen könnte die eindeutige Identifikation schwierig sein. Hier wären neben dem Nachnamen auch der Vorname wünschenswert.


## Bewertung der Größe der Kapitalgesellschaft
*Nach HGB §267: https://www.gesetze-im-internet.de/hgb/__267.html*
* Durchschnittliche Mitarbeiterzahl (Anzahl beschäftigte Arbeitnehmer am 31.03., 30.06., 30.09., 31.12.)
* Bilanzsumme bzw. Gesamtkapital
* Umsatz bzw. Umsatzerlöse


## Kennzahlen bei Aktiengesellschaften
*Angelehnt an https://www.tagesschau.de/wirtschaft/boersenkurse/ und https://boerse.de*
* ISIN (International Securities Identification Number)
* WKN (Wertpapierkennnummer)
* Aktienkurs
* Währung
* Gewinn je Aktie
* Dividende
* Dividendenrendite
* Ausschüttungsquote = Dividende je Aktie / Gewinn je Aktie * 100
* Marketkapitalisierung = Anzahl Anteilsscheine * Aktienkurs
* Kurs-Gewinn-Verhältnis (KGV) = Aktienkurs / Gewinn pro Aktie 
* Kurs-Umsatz-Verhältnis (KUV) = Marktkapitalisierung / Umsatz
* Kurs-Gewinn-Wachstumsverhältnis (PEG) = KGV / erwarteter Gewinnwachstum im kommenden Geschäftsjahr


## Mögliche Kennzahlen zur Unternehmensbewertung
*Handbuch Aktien- und Unternehmensbewertung - Peter Seppelfricke*

### Erfolgskennzahlen
* Umsatz
* Gewinn bzw. Jahresüberschuss
* Gewinn vor Steuern (EBT)
* Gewinn vor Steuern und Zinsen (EBIT/Betriebsergebnis): Bei Gesamtkostenverfahren Summe 1-8, bei Umsatzkostenverfahren Summe 1-7

### Finanzkennzahlen
* Eigenkapitalquote = Eigenkapital / Gesamtkapital * 100
* Fremdkapitalquote = Fremdkapital / Gesamtkapital * 100
* Verschuldungsgrad = Fremdkapital / Eigenkapital * 100

### Rentabilitätskennzahlen
* Eigenkapitalrentabilität = Jahresüberschuss / Eigenkapital * 100
* Return on Investment (ROI) = Gewinn / Gesamtkapital
* Umsatzrentabilität = Gewinn / Umsatz * 100

### _Nichtfinanzielle Kennzahlen_
* _CO<sub>2</sub>-Emissionen_
* _Unfallrate_


## Gewünschte Kennzahlen 
*E-Mail vom 13.04.2023*
* Umsatz
* EBIT
* EBIT Marge
* Bilanzsumme
* Eigenkapitalanteil (Eigenkapital / Bilanzsumme)
* Fremdkapitalanteil (Fremdkapital / Bilanzsumme)
* Verschuldungsgrad (Fremdkapital / Eigenkapital)
* Eigenkapitalrentabilität (EBIT/Eigenkapital)
* Umschlaghäufigkeit des Gesamtkapitals (Umsatz / Bilanzsumme)

## Kurzdefinitionen
### Umsatz (Erlös)
*https://www.lexoffice.de/lexikon/umsatz/*
* Wert aller Produkte und Dienstleistungen, die in einem bestimmten Zeitraum abgesetzt wurden
* Muss in der GuV ausgewiesen werden
* Berechnung: Bruttoumsatz = Verkaufspreis (pro Stück) x abgesetzte Menge, Nettoumsatz = Bruttoumsatz - Erlösschmälerungen (z.B. Rabatte, Boni, Skonti) - Umsatzsteuer

### EBIT (Earnings Before Interest and Taxes/Gewinn vor Zinsen und Steuern/Betriebsergebnis/Operativer Gewinn)
*https://www.bwl-lexikon.de/wiki/ebit/*
* Kennzahl, die den Unternehmensgewinn angibt, der aus der gewöhnlichen Geschäftstätigkeit entsteht
* Stellt das operative Ergebnis eines Unternehmens dar
* Gibt Auskunft über die Effizienz und die Ertragskraft eines Unternehmens
* Berechnung: Jahresüberschuss/-fehlbetrag + Steueraufwand - Steuerertrag + außerordentlicher Aufwand - außerordentlicher Ertrag + Finanzaufwand - Finanzertrag = EBIT

### EBIT-Marge
*https://www.bwl-lexikon.de/wiki/ebit-marge/*
* Eignet sich zum Vergleich von verschiedenen Unternehmen, zur Messung der operativen Veränderung und gibt Rückschlüsse auf die zukünftige Rentabilität
* Verhältnis von EBIT und Umsatz
* Eine EBIT-Marge in Höhe von 10% und mehr ist als positiv zu bewerten
* Berechnung: EBIT-Marge = EBIT / Umsatz

### Bilanzsumme (Gesamtvermögen/Gesamtkapital)
*https://www.bwl-lexikon.de/wiki/bilanzsumme/*
* Summe des Vermögens bzw. der Aktiva und des Kapitals bzw. der Passiva eines Unternehmens
* Kriterium für die Größe von Kapitalgesellschaften
* Aktiva = Anlagevermögen + Umlaufvermögen
* Passiva = Eigenkapital + Rückstellungen + Verbindlichkeiten
* Liefert Anhaltspunkte dafür, ob und wie schnell ein Unternehmen wächst

### Eigenkapitalquote
*https://www.bwl-lexikon.de/wiki/eigenkapitalquote/*
* Informiert über die Kapitalstruktur eines Unternehmens
* Geht aus der Bilanz eines Unternehmens vor
* Je größer der Abstand zwischen eigenen und fremden Mittel, umso freier kann die Unternehmensleitung agieren
* Je höher die Quote, desto unabhängiger ist das Unternehmen von Fremdkapitalgebern
* Berechnung: Eigenkapital / Gesamtkapital

### Fremdkapitalquote
*https://www.bwl-lexikon.de/wiki/fremdkapitalquote/*
* Anteil des Fremdkapitals am gesamten Kapital
* Anzeichen für die Zahlungsfähigkeit eines Unternehmens
* Je höher die Quote, desto abhängiger ist das Unternehmen von Fremdkapitalgebern, die Kreditwürdigkeit sinkt
* Berechnung: Fremdkapital / Gesamtkapital

### Verschuldungsgrad
*https://www.bwl-lexikon.de/wiki/verschuldungsgrad/*
* Informiert über die wirtschaftliche Stabilität eines Unternehmens
* Bei einem hohen Verschuldungsgrad wird mehr Fremdkapital in einem Unternehmen eingesetzt, die Gefahr der Insolvenz steigt
* Bei einem niedrigen Verschuldungsgrad ist die Eigenkapitalfinanzierung höher
* Berechnung: Fremdkapital / Eigenkapital

### Eigenkapitalrentabilität (Return on Equity ROE)
*https://www.bwl-lexikon.de/wiki/eigenkapitalrentabilitaet/*
* Informiert über die Wirtschaftlichkeit des Unternehmens und die Sinnhaftigkeit des Kapitaleinsatzes
* Misst die Ertragskraft des Unternehmens
* Gewünschte Höhe der Eigenkapitalrentabilität differiert je nach Branche
* Eine doppelt so hohe Eigenkapitalrendite wie der durchschnittliche Zins gilt als wünschenswert
* Ist der Kapitalzins höher, sollten Unternehmen das Kapital aus dem Kapitalmarkt anlegen
* Berechnung: Gewinn bzw. Jahresüberschuss / Eigenkapital

### Gesamtkapitalumschlag (Kapitalumschlag/Umschlagshäufigkeit)
*https://www.bwl-lexikon.de/wiki/kapitalumschlag/*
* Verhältnis vom Umsatz zum Eigen- oder Gesamtkapital
* Legt fest, wie viel Umsatz mit dem vorhandenen Kapital eines Unternehmens erwirtschaftet werden kann
* Gibt an, wie oft das eingesetzte Kapital durch die Umsatzerlöse zurück in das Unternehmen gelangt ist (desto häufiger, desto besser)
* Berechnung: Umsatz / Bilanzsumme bzw. Gesamtkapital

### Umsatzrentabilität (Umsatzrendite/Umsatzmarge/Nettomarge)
*https://www.bwl-lexikon.de/wiki/umsatzrentabilitaet/*
* Verhältnis von Gewinn und Umsatz
* Betrag, den ein Unternehme pro Euro Umsatz erwirtschaftet
* Eine steigende Umsatzrendite deutet darauf hin, dass die Produktivität des Unternehmens steigt
* Bildet die Effiziens eines Unternehmens ab
* Eine Umsatzrentabilität in Höhe von 5% und mehr gilt als Richtwert
* Berechnung: Gewinn / Umsatz

### Gesamtkapitalrentabilität (Return on Investment ROI, Kapitalrendite)
*https://www.bwl-lexikon.de/wiki/gesamtkapitalrentabilitaet/*
* Relation zwischen dem investierten Kapital und dem Gewinn
* Beurteilungsmaßstad für die Rentabilität
* Positiver ROI ist für ein Unternehmen vorteilhaft
* Berechnung: Umsatzrentabilität x Kapitalumschlag

# Fazit
Insgesamt sollen folgende Größen bzw. Kennzahlen betrachtet werden: 
* Unternehmensgröße
* Umsatz
* EBIT
* EBIT-Marge
* Bilanzsumme
* Eigenkapitalquote
* Fremdkapitalquote
* Verschuldungsgrad
* Eigenkapitalrentabilität
* Umsatzrentabilität
* Gesamtkapitalrentabilität
* Gesamtkapitalumschlag


Dazu werden folgende Daten benötigt:
* Umsatz
* Bilanzsumme
* EBIT
* Eigenkapital
* Fremdkapital
* Gewinn
* Durchschnittliche Mitarbeiterzahl

Vergleichsmöglichkeiten:
* Zeitvergleich: Vergleich der ermittelten Kennzahlen in verschiedenen Perioden, mit Hilfe von Zeitvergleichen über längere Zeiträume lassen sich Trends oder Zyklen erkennen
* Betriebsvergleich: Gegenüberstellung der Kennzahlen von Unternehmen der gleichen Branche oder Vergleich der Werte eines Unternehmens mit dem Branchendurchschnitt
