# Seminarthema: Datenvisualisierung

## Geplanter Inhalt:
- Einführung
- Best Practice für Datenvisualisierung
- Vorstellung verschiedener Diagrammarten
- Welche Diagrammarten eignen sich für unsere drei Anwendungsbereiche Time Series Daten, Netzwerke und Stimmungen?
- Betrachtung verschiedener Bibliotheken (z.B. D3Blocks, pyvis, plotly)
    - Zweck der Bibliothek, unterstützte Visualisierungen, Vor- und Nachteile
    - Minimalbeispiele
- Anwendung auf unser Projekt:
    - Vergleich der Bibliotheken mit Blick auf unsere drei Anwendungsbereiche
    -  Welche Daten werden für die einzelnen Diagramme gebraucht? 
    - Welche Ideen/Anforderungen ergeben sich an die anderen Themenbereiche?
- Fazit und Handlungsempfehlung
    - Welche Diagramme und welche Bibliotheken eignen sich für uns?

## Abstract:

In dieser Seminararbeit geht es um die Visualisierung von Daten in Python. Im Fokus steht die Anwendung auf die drei Themenbereiche, die im Projekt "Transparenzregister" behandelt werden: Time Series Daten, Soziale Netzwerke und Stimmungen. Nach einer Einführung in das Thema werden Best Practices für die Datenvisualisierung vorgestellt und verschiedene Diagrammarten präsentiert. Anschließend wird diskutiert, welche Diagramme für die genannten Anwendungsbereiche am besten geeignet sind.

Im zweiten Abschnitt werden verschiedene Python Bibliotheken vorgestellt und anhand von Minimalbeispielen betrachtet. Dabei wird analysiert, welche Bibliotheken die gewünschten Diagramme für unsere Anwendungsbereiche am besten darstellen und welche Daten für die Erstellung der verschiedenen Diagramme benötigt werden. Es werden zudem Ideen und Anforderungen an die anderen Themenbereiche aufgezeigt.

Im letzten Abschnitt der Arbeit wird ein Fazit gezogen und eine Handlungsempfehlung gegeben. Insgesamt soll die Arbeit einen Einblick in die Welt der Datenvisualisierung in Python geben und unserem Projekt helfen, die richtigen Entscheidungen bei der Wahl der Diagrammarten und Bibliotheken zu treffen.

## Erste Sammlung von Referenzen:
Bibliotheken/Tools:
- D3Blocks: [Documentation](https://d3blocks.github.io/d3blocks/pages/html/index.html), [Medium Blog](https://towardsdatascience.com/d3blocks-the-python-library-to-create-interactive-and-standalone-d3js-charts-3dda98ce97d4)
- pyvis: [Documentation](https://pyvis.readthedocs.io/en/latest/tutorial.html)
- networkx: [Documentation](https://networkx.org/documentation/stable/auto_examples/index.html), [Example](https://www.kirenz.com/post/2019-08-13-network_analysis/)
- plotly: [Documentation](https://plotly.com/python/#animations)

Netzwerke:
- Zentralitätsmaße: [Medium Blog](https://towardsdatascience.com/social-network-analysis-from-theory-to-applications-with-python-d12e9a34c2c7)
- Visualisierungsideen: [Medium Blog](https://towardsdatascience.com/visualizing-networks-in-python-d70f4cbeb259)

Kennzahlen:
- Visualisierungsideem: [Towards AI](https://towardsai.net/p/l/time-series-data-visualization-in-python)

Best Practice:
- [Science Direct](https://www.sciencedirect.com/science/article/pii/S2666389920301896)
- [Toptal](https://www.toptal.com/designers/data-visualization/data-visualization-best-practices)





